#include <cstdlib>
#include <cmath>
#include <fstream>
#include <iostream>

const double EPS = 1e-6;

int main() {
	std::ifstream fout("user_out");
	std::ifstream fans("answer");

	double ans;
	int i = 0;
	while (fans >> ans) {
		i++;

		double out;
		if (!(fout >> out)) {
			std::cerr << "Can't read the " << i << "-th number" << std::endl;
			std::cout << 0 << std::endl;
			exit(0);
		}

		if (fabs(out - ans) > EPS && fabs((out-ans)/ans)>EPS) {
			std::cout << 0 << std::endl;
			exit(0);
		}
	}

	std::cout << 100 << std::endl;
}
